GNU bug report logs - #35367
26.2; `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Sun, 21 Apr 2019 19:37:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 12 Jul 2019 03:34:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 23:34:00 2019
Received: from localhost ([127.0.0.1]:39114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlmJr-0006tw-UZ
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 23:34:00 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:50108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hlmJp-0006tg-Ty
 for 35367 <at> debbugs.gnu.org; Thu, 11 Jul 2019 23:33:58 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6C3Soqp010498;
 Fri, 12 Jul 2019 03:33:50 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=lNbqK7fcfmMATC1eZL8EQoCz1bpUxcP6jd51b1XI3CQ=;
 b=BY9hzjSMlT8cx3iDXksrDBBuHQsh2fLEU/OEuZHbiZlOFUU5iiJheQPnQi7Q8n94Orv/
 t7F0FRJt61nHIZ2PXq/uJ+KayMXNHCVeIxxgKmHmv4NGTWOAkz2GygsNTflK+y74pHAP
 of97vLitvvbq1ugabcsN9ItPLbfCm1/3M7We0QaI5gGbmd9tyd/kKGMK0pN+nApM8Rxn
 4bCmb22FLv/7LEczf7O+MNXl7H2Pwm5+uPZWAqh92dn3+gyr784sLkLLEcaMrZAwV3Q/
 AyzO8SCuTTDwUjw8pnLSWgmvPGJTc5cG0o+0kXZ4/YQbgFHPIa6UVddSU+O1DnqGT0Wj /w== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 2tjm9r37mb-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 12 Jul 2019 03:33:50 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6C3XBXk125317;
 Fri, 12 Jul 2019 03:33:49 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3030.oracle.com with ESMTP id 2tmwgyhsws-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 12 Jul 2019 03:33:49 +0000
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6C3XmmE006598;
 Fri, 12 Jul 2019 03:33:48 GMT
MIME-Version: 1.0
Message-ID: <372237f8-1d1f-4756-b8df-a20fc6b23745@default>
Date: Thu, 11 Jul 2019 20:33:47 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Mike Kupfer <mkupfer@HIDDEN>
Subject: RE: bug#35367: 26.2; `dired-copy-how-to-fn' and HOW-TO arg of
 `dired-create-files'
References: <Your> <message> <of> <"Thu> <11> <Jul> <2019> <07:18:26>
 <-0700."> <a283321e-fc69-4090-b8c1-1b86155c09a3@default>
 <17843.1562901627@alto>
In-Reply-To: <17843.1562901627@alto>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4861.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9315
 signatures=668688
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907120041
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9315
 signatures=668688
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907120040
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Kinda seems odd that we'd have created a
> > variable for something that someone _might_
> > want to do (but probably never has done).
> >
> > Usually, when someone proposes something
> > like that it gets rejected as fulfilling
> > only a hypothetical need.
>=20
> Indeed.  Maybe there were consumers of dired-copy-how-to-fn back in the
> 1990s.  While poking around in the sources I noticed a comment in
> vc-dir.el saying that it *used to be* based on dired.  (Or maybe whoever
> was the Emacs maintainer at the time thought dired-copy-how-to-fn was a
> cool idea and didn't insist on having a consumer for it.)
>=20
> > Anyway, if the variable will stay then it
> > would be great if the doc could be fixed
> > a bit, based on some of what you said here.
>=20
> I can try proposing clearer wording for the dired-do-create-files
> docstring, though it'll probably be several days before I can get to it.
>=20
> I want to be cautious about proposing ways to use dired-copy-how-to-fn.
> My earlier comments were based on my reading of the documentation and a
> tiny bit of testing.  I wasn't involved with Emacs development when the
> dired how-to stuff was introduced, so I don't have any special insights
> into what the thinking was at the time.  Though the more I think about
> my tarfile example, the more I think it'd be a fun little hack.

Sounds good.  I don't think you have to worry
about hurrying.  Instead of several days it
could probably be several years (decades?)
without anyone noticing. ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 12 Jul 2019 03:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 23:20:39 2019
Received: from localhost ([127.0.0.1]:39101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlm6x-0006aW-Ef
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 23:20:39 -0400
Received: from shell1.rawbw.com ([198.144.192.42]:14385 ident=root)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mkupfer@HIDDEN>) id 1hlm6t-0006aL-81
 for 35367 <at> debbugs.gnu.org; Thu, 11 Jul 2019 23:20:36 -0400
Received: from alto (96-95-200-133-static.hfc.comcastbusiness.net
 [96.95.200.133]) (authenticated bits=0)
 by shell1.rawbw.com (8.15.1/8.15.1) with ESMTPSA id x6C3KSUx086379
 (version=TLSv1 cipher=ECDHE-RSA-AES256-SHA bits=256 verify=NO);
 Thu, 11 Jul 2019 20:20:33 -0700 (PDT)
 (envelope-from mkupfer@HIDDEN)
X-Authentication-Warning: shell1.rawbw.com: Host
 96-95-200-133-static.hfc.comcastbusiness.net [96.95.200.133] claimed to be
 alto
From: Mike Kupfer <mkupfer@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#35367: 26.2;
 `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'
In-Reply-To: Your message of "Thu, 11 Jul 2019 07:18:26 -0700."
 <a283321e-fc69-4090-b8c1-1b86155c09a3@default>
X-Mailer: MH-E 8.6+git; nmh 1.6; GNU Emacs 26.2.90
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <17842.1562901627.1@alto>
Date: Thu, 11 Jul 2019 20:20:27 -0700
Message-ID: <17843.1562901627@alto>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams wrote:

> Kinda seems odd that we'd have created a
> variable for something that someone _might_
> want to do (but probably never has done).
> 
> Usually, when someone proposes something
> like that it gets rejected as fulfilling
> only a hypothetical need.

Indeed.  Maybe there were consumers of dired-copy-how-to-fn back in the
1990s.  While poking around in the sources I noticed a comment in
vc-dir.el saying that it *used to be* based on dired.  (Or maybe whoever
was the Emacs maintainer at the time thought dired-copy-how-to-fn was a
cool idea and didn't insist on having a consumer for it.)

> Anyway, if the variable will stay then it
> would be great if the doc could be fixed
> a bit, based on some of what you said here.

I can try proposing clearer wording for the dired-do-create-files
docstring, though it'll probably be several days before I can get to it.

I want to be cautious about proposing ways to use dired-copy-how-to-fn.
My earlier comments were based on my reading of the documentation and a
tiny bit of testing.  I wasn't involved with Emacs development when the
dired how-to stuff was introduced, so I don't have any special insights
into what the thinking was at the time.  Though the more I think about
my tarfile example, the more I think it'd be a fun little hack.

mike




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 11 Jul 2019 14:18:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 10:18:41 2019
Received: from localhost ([127.0.0.1]:38329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlZuD-0004Gd-GP
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:18:41 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:44708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hlZuA-0004GP-Q9
 for 35367 <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:18:40 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6BEEpe3004851;
 Thu, 11 Jul 2019 14:18:31 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=/dM4eCp9m90gE64lG/UC3Qe712lqy0ArnTspwwo3fac=;
 b=RS84PDPoZplbDICxd2ajRmZqyuJnBPJ32z7sB9j2m+IAiav4ux7lC7P9nw2CmbFPWTgS
 JNByUnoXgK+brbRDcnMQ+hslgZkLpgWTSj8Ezi+elgo7l5NFeM2FhI80qA4c4Tw7b3wu
 MiNo1nd7aqAxx7GzQSgtlB6pG+jJ/MUaUGPgyecHr4fm9E3OVYbOBvXfE/Aad5O/YVmD
 1cbZypOBy7mp6E+mt1k5cI7/c4ud02BHf8Zgy8Y/m8pRCFQ+/tuZbz3VFcoEjkwjRrgK
 ddGLOy8j/QRRMzwCCip1n33NATT2/VpErqguAclwE+keVAwncRv6TWDuQm6IG+T8D9JX hw== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 2tjm9r0a6y-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Jul 2019 14:18:31 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6BEIE0m178377;
 Thu, 11 Jul 2019 14:18:30 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 2tmmh469qd-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 11 Jul 2019 14:18:30 +0000
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6BEIREv027039;
 Thu, 11 Jul 2019 14:18:27 GMT
MIME-Version: 1.0
Message-ID: <a283321e-fc69-4090-b8c1-1b86155c09a3@default>
Date: Thu, 11 Jul 2019 07:18:26 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Mike Kupfer <mkupfer@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#35367: 26.2; `dired-copy-how-to-fn' and HOW-TO arg of
 `dired-create-files'
References: <Your> <message> <of> <"Tue> <09> <Jul> <2019> <16:21:24>
 <+0200."> <87wogrthjv.fsf@HIDDEN> <12410.1562824271@alto>
In-Reply-To: <12410.1562824271@alto>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4861.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9314
 signatures=668688
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=909
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907110161
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9314
 signatures=668688
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=976 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907110160
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Thanks, Mike.  I probably would never have
figured out all of that.

Kinda seems odd that we'd have created a
variable for something that someone _might_
want to do (but probably never has done).

Usually, when someone proposes something
like that it gets rejected as fulfilling
only a hypothetical need.

Anyway, if the variable will stay then it
would be great if the doc could be fixed
a bit, based on some of what you said here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 11 Jul 2019 14:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 10:04:57 2019
Received: from localhost ([127.0.0.1]:38267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlZgv-0001i1-KJ
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:04:57 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hlZgt-0001hs-SE
 for 35367 <at> debbugs.gnu.org; Thu, 11 Jul 2019 10:04:56 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hlZgm-0004Fb-I8; Thu, 11 Jul 2019 16:04:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mike Kupfer <mkupfer@HIDDEN>
Subject: Re: bug#35367: 26.2;
 `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'
References: <12410.1562824271@alto>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUTBw9zPz9SJy0xFR0B
 AAPQiX8FAQaWYcGaAAACbklEQVQ4jVWTTY/aMBCGB4x8xo5yx7a25+Dp7hm1lu9hlbt3ieb//4S+
 4wTaWsBhHt75HlpFpBa8Kv89KiLry77Wf0G3l0piG63d+LED9XRjvKOz8oDR7q4UGJNyuvqLbTC2
 Dmqzp1JiZs4x+omsNKW0FrnYUthw9j56lyyRPUsjKVCuQpxydM47Z8mazw5WzZLgCv8H+iA5GkKC
 pUipJzLMYXb3GD+aHOgJyto4xHFZFp9RxIGaBn+spa6P7JyC2V1e4AhgTdjA4s9WDkbU1eFU6o/j
 bl/8QHKYNvCz3C7XF/AAbHfF7ePdhQ3McZJDEtLgyEuCD8sG+Gy/tHxElnWtzucwziNUPNjv2F1h
 FmuNSQtMCDUB8A7gKzO6fs8hBgKgJ6jEPPF1Di57wkxaB/WB5mY0t4e/mz6RHvz7JBUdcUgJn4uZ
 5DF1cFSAlLZ0BzPI46LgZlapvNe3zGeA73NXNDlVfkrmMwrZFFph5TS6613BhSeE7grCBpkhOI4A
 w8QT7cBCYSJqU18Dv0DRrXz4nHsd6QlkA0fHqBwhpico5TfpVl6Zx2UePf919UsBpsZvWIWEjXwq
 bjuY3pc5aPcTzAZAOvhKiOFCigBwxrTFlnY4GzQypGuKA4DRbe+XZT4p+wjgHRJQsJ1d835C3JAC
 QEx/FS1h3Tk6gOBi5A00K1h2Y3JwcAXgBu5A04OcgvObwjnNqjYcB84JFShAmyOUGpxID9Mlxj3h
 q+NX0NRRQtO9hgCIbzN+CP9HnR1EN8foFv+mq01Nu8mJI96oZzsPOhdPOabJoHWwB3UexvtVR09R
 TQpQnb443nX0yx+sc/ADNfhj2wAAAABJRU5ErkJggg==
Date: Thu, 11 Jul 2019 16:04:48 +0200
In-Reply-To: <12410.1562824271@alto> (Mike Kupfer's message of "Wed, 10 Jul
 2019 22:51:11 -0700")
Message-ID: <m3y314y8e7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Mike Kupfer <mkupfer@HIDDEN> writes: > Presumably
 it's so you could override dired's behavior for handling a > target. If the
 target is a symlink to a directory, the default behavior > would be to treat
 it as a directory, but maybe there [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mike Kupfer <mkupfer@HIDDEN> writes:

> Presumably it's so you could override dired's behavior for handling a
> target.  If the target is a symlink to a directory, the default behavior
> would be to treat it as a directory, but maybe there are cases where you
> want to replace the link instead.

Ah, I see.

[More useful explanation deleted; thanks for figuring it out.]

>> My interpretation of t is that all files you copy will up in the same
>> file if it's t, which is a supremely useless thing, you'd think...
>
> No, you can only copy one file if the target is a plain file.  From
> earlier in the docstring for dired-do-create-files:
>
>     The target may also be a non-directory file, if only
>     one file is marked.
>
> Maybe this sentence should be deleted:
>
>     Otherwise, the target is a plain file;
>     an error is raised unless there is exactly one marked file.
>
> The way the docstring is currently written, it seems to imply that the
> error only gets raised in the case where HOW-TO is nil.
>
> I agree that this is all very complicated and confusing.  It doesn't
> help that if HOW-TO is t, the target is treated as a plain file.  But if
> HOW-TO is a function, it returns nil to indicate a plain file.

Could you perhaps propose a rewrite of the doc string here to make it
more understandable; both what it does and say when it might be useful?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 11 Jul 2019 05:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 01:51:24 2019
Received: from localhost ([127.0.0.1]:36941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hlRzH-0004Gh-Sw
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 01:51:24 -0400
Received: from shell1.rawbw.com ([198.144.192.42]:31256 ident=root)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mkupfer@HIDDEN>) id 1hlRzE-0004GX-25
 for 35367 <at> debbugs.gnu.org; Thu, 11 Jul 2019 01:51:21 -0400
Received: from alto (96-95-200-133-static.hfc.comcastbusiness.net
 [96.95.200.133]) (authenticated bits=0)
 by shell1.rawbw.com (8.15.1/8.15.1) with ESMTPSA id x6B5pBTD085298
 (version=TLSv1 cipher=ECDHE-RSA-AES256-SHA bits=256 verify=NO);
 Wed, 10 Jul 2019 22:51:17 -0700 (PDT)
 (envelope-from mkupfer@HIDDEN)
X-Authentication-Warning: shell1.rawbw.com: Host
 96-95-200-133-static.hfc.comcastbusiness.net [96.95.200.133] claimed to be
 alto
From: Mike Kupfer <mkupfer@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#35367: 26.2;
 `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'
In-Reply-To: Your message of "Tue, 09 Jul 2019 16:21:24 +0200."
 <87wogrthjv.fsf@HIDDEN>
X-Mailer: MH-E 8.6+git; nmh 1.6; GNU Emacs 26.2.90
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <12409.1562824271.1@alto>
Date: Wed, 10 Jul 2019 22:51:11 -0700
Message-ID: <12410.1562824271@alto>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen wrote:

> Drew Adams <drew.adams@HIDDEN> writes:
> 
> > 1. I believe `dired-copy-how-to-fn' was added to Emacs quite a while ago
> >    (1991[1]).

lisp/ChangeLog.8 in the 25.3 tarball attributes the change to Inge
Frick, with a date of 1999-09-14 (a couple days before the date listed
in bug#25075).

> > But it's not clear to me what it's really for, and there
> >    seem to be no uses of it in the distributed Emacs code, apart from
> >    `dired-do-copy', which just passes it on to `dired-create-files'.
> >    The variable's doc just says to "See HOW-TO argument for
> >    `dired-create-files'."
> >
> >    So why was this variable created?

Presumably it's so you could override dired's behavior for handling a
target.  If the target is a symlink to a directory, the default behavior
would be to treat it as a directory, but maybe there are cases where you
want to replace the link instead.

The bit about

   If it return value is a list, TARGET is a generalized
    directory (e.g. some sort of archive).  The first element of
    this list must be a function with at least four arguments:

looks like it might be useful when the target is, for example, a tar
file.  By default, copying a single file would replace the tar file.
But this could be overridden (I think) to add or replace entries in the
tar file.

Besides the possibility of a user setting dired-copy-how-to-fn, I can
imagine a package might want to dynamically rebind dired-copy-how-to-fn,
perhaps as a buffer-local variable in a dired buffer.  (I'm not sure
what sort of package might want to do that, but it seems like a possible
reason for having a variable.)

> I hoped that the code might throw some light on this variable, but:
> 
> (defun dired-into-dir-with-symlinks (target)
>   (and (file-directory-p target)
>        (not (file-symlink-p target))))
> ;; This may not always be what you want, especially if target is your
> ;; home directory and it happens to be a symbolic link, as is often the
> ;; case with NFS and automounters.  Or if you want to make symlinks
> ;; into directories that themselves are only symlinks, also quite
> ;; common.
> 
> ;; So we don't use this function as value for HOW-TO in
> ;; dired-do-symlink, which has the minor disadvantage of
> ;; making links *into* a symlinked-dir, when you really wanted to
> ;; *overwrite* that symlink.  In that (rare, I guess) case, you'll
> ;; just have to remove that symlink by hand before making your marked
> ;; symlinks.
> 
> (defvar dired-copy-how-to-fn nil
>   "Either nil or a function used by `dired-do-copy' to determine target.
> See HOW-TO argument for `dired-do-create-files'.")
> 
> It's still clear as mud to me.

dired-into-dir-with-symlinks returns t if TARGET is a real directory.
It returns nil if TARGET is a plain file or a symlink to a directory.
The first generation automounter(s) mounted your home directory in a
temporary directory and then created a symlink to the mounted directory.
But $HOME would be the path to the symlink.

> My interpretation of t is that all files you copy will up in the same
> file if it's t, which is a supremely useless thing, you'd think...

No, you can only copy one file if the target is a plain file.  From
earlier in the docstring for dired-do-create-files:

    The target may also be a non-directory file, if only
    one file is marked.

Maybe this sentence should be deleted:

    Otherwise, the target is a plain file;
    an error is raised unless there is exactly one marked file.

The way the docstring is currently written, it seems to imply that the
error only gets raised in the case where HOW-TO is nil.

I agree that this is all very complicated and confusing.  It doesn't
help that if HOW-TO is t, the target is treated as a plain file.  But if
HOW-TO is a function, it returns nil to indicate a plain file.

mike





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at 35367 <at> debbugs.gnu.org:


Received: (at 35367) by debbugs.gnu.org; 9 Jul 2019 14:21:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 10:21:33 2019
Received: from localhost ([127.0.0.1]:33616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkqzt-0006ib-8N
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 10:21:33 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkqzo-0006iE-US
 for 35367 <at> debbugs.gnu.org; Tue, 09 Jul 2019 10:21:29 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkqzk-00065L-TD; Tue, 09 Jul 2019 16:21:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#35367: 26.2;
 `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'
References: <dd28182c-a94d-4654-9d7c-48124886657e@default>
Date: Tue, 09 Jul 2019 16:21:24 +0200
In-Reply-To: <dd28182c-a94d-4654-9d7c-48124886657e@default> (Drew Adams's
 message of "Sun, 21 Apr 2019 12:30:14 -0700 (PDT)")
Message-ID: <87wogrthjv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: > 1. I believe
 `dired-copy-how-to-fn' was added to Emacs quite a while ago > (1991[1]). But
 it's not clear to me what it's really for, and there > seem to be no uses
 of it in the distributed Emacs cod [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35367
Cc: 35367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> 1. I believe `dired-copy-how-to-fn' was added to Emacs quite a while ago
>    (1991[1]).  But it's not clear to me what it's really for, and there
>    seem to be no uses of it in the distributed Emacs code, apart from
>    `dired-do-copy', which just passes it on to `dired-create-files'.
>    The variable's doc just says to "See HOW-TO argument for
>    `dired-create-files'."
>
>    So why was this variable created?

I hoped that the code might throw some light on this variable, but:

(defun dired-into-dir-with-symlinks (target)
  (and (file-directory-p target)
       (not (file-symlink-p target))))
;; This may not always be what you want, especially if target is your
;; home directory and it happens to be a symbolic link, as is often the
;; case with NFS and automounters.  Or if you want to make symlinks
;; into directories that themselves are only symlinks, also quite
;; common.

;; So we don't use this function as value for HOW-TO in
;; dired-do-symlink, which has the minor disadvantage of
;; making links *into* a symlinked-dir, when you really wanted to
;; *overwrite* that symlink.  In that (rare, I guess) case, you'll
;; just have to remove that symlink by hand before making your marked
;; symlinks.

(defvar dired-copy-how-to-fn nil
  "Either nil or a function used by `dired-do-copy' to determine target.
See HOW-TO argument for `dired-do-create-files'.")

It's still clear as mud to me.

> 2. Apart from the variable, why was the HOW-TO arg of
>    `dired-do-create-files' added?  I find no uses of it, apart from
>    `dired-do-copy' (which just passes it along).
>
>    Presumably someone thought that someone might want to pass such a
>    thing to `dired-do-copy', but why?
>
>    Half the doc of `dired-do-create-files' is for this parameter.  And
>    its description, although probably correct and complete, reads like
>    gobbledygook, to me.
>
>    For one thing, the nil case should not be described under this
>    parameter; it should be described as the function's default behavior,
>    up above the parameter list.  (That's already 4 lines of its
>    description.)

Well...  I think it makes sense (in so far as this parameter makes any
sense) to keep it where it is:

Optional arg HOW-TO determines how to treat the target.
  If HOW-TO is nil, use `file-directory-p' to determine if the
   target is a directory.  If so, the marked file(s) are created
   inside that directory.  Otherwise, the target is a plain file;
   an error is raised unless there is exactly one marked file.
  If HOW-TO is t, target is always treated as a plain file.
  Otherwise, HOW-TO should be a function of one argument, TARGET.
   If its return value is nil, TARGET is regarded as a plain file.
   If it return value is a list, TARGET is a generalized
    directory (e.g. some sort of archive).  The first element of
    this list must be a function with at least four arguments:
      operation - as OPERATION above.
      rfn-list  - list of the relative names for the marked files.
      fn-list   - list of the absolute names for the marked files.
      target    - the name of the target itself.
    The rest of elements of the list returned by HOW-TO are optional
    arguments for the function that is the first element of the list.
   For any other return value, TARGET is treated as a directory."


>    Beyond that:
>
>    * A value of `t' is unclear to me.  What does it mean to target a
>      plain file - is this the same as using a `nil' value?  What happens
>      with `t' if the target is a directory or if there are multiple
>      marked files?  Is that where the difference lies somehow (how)?

My interpretation of t is that all files you copy will up in the same
file if it's t, which is a supremely useless thing, you'd think...

>    It was apparently RMS who added this [1].  I'm surprised that it's
>    not more clear what good it is.

Does anybody know what this parameter and variable was meant to do, and
whether it's used anywhere out-of-tree?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2019 19:36:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 21 15:36:18 2019
Received: from localhost ([127.0.0.1]:49099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIIG9-00056O-JF
	for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 15:36:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hIIG7-00056A-6n
 for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 15:36:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:45843)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1hIIG2-0002Xm-2B
 for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 15:36:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54522)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1hIIG0-0002ZA-Pi
 for bug-gnu-emacs@HIDDEN; Sun, 21 Apr 2019 15:36:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1hIICM-0000N1-8N
 for bug-gnu-emacs@HIDDEN; Sun, 21 Apr 2019 15:32:24 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:33346)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1hIICL-0000LK-Vz
 for bug-gnu-emacs@HIDDEN; Sun, 21 Apr 2019 15:32:22 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3LJUC5H009438
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 19:32:16 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : content-type :
 content-transfer-encoding; s=corp-2018-07-02;
 bh=98PNRY6rmtC6UGXoKj48A3Jodi347J2xdL3q+ze4m8o=;
 b=5Zast8qpnbKWwkzD8iLdP9GU5G5LTvyiVUUz7MkWCtaNxz4b1SF0VRlljywDULu4p+yN
 gr5pSYHLpvgl56IwSKCqXK7bQMWdXidX0HPWlMm3Bu0D73FnabU5EDfVGAeFitAp+pgM
 3pM2lRIwxGRJps78Y8kzUAeeDBGXxF3h116RyG9eP6t+Hu7D+3JKlASbmn2z+TBCBKGI
 0bBBMvKSppO/gBV1CPyQfnZ5knUiJnS8BrLekjeydGM6yIl3kNt8TKDhz2utfSiN5bpV
 zI38pidt3yDVMv9CkcOz7g/AyUQbTYHpYrDyhTth29aiKN/vuJTRviLqg5WeZO071W6C Iw== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 2ryv2pudf1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 19:32:16 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x3LJSQxe033532
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 19:30:15 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3020.oracle.com with ESMTP id 2s0fv252v3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 19:30:15 +0000
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x3LJUFXf018662
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Apr 2019 19:30:15 GMT
MIME-Version: 1.0
Message-ID: <dd28182c-a94d-4654-9d7c-48124886657e@default>
Date: Sun, 21 Apr 2019 12:30:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2; `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4834.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1904210153
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9234
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1904210153
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-Received-From: 156.151.31.85
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

1. I believe `dired-copy-how-to-fn' was added to Emacs quite a while ago
   (1991[1]).  But it's not clear to me what it's really for, and there
   seem to be no uses of it in the distributed Emacs code, apart from
   `dired-do-copy', which just passes it on to `dired-create-files'.
   The variable's doc just says to "See HOW-TO argument for
   `dired-create-files'."

   So why was this variable created?

2. Apart from the variable, why was the HOW-TO arg of
   `dired-do-create-files' added?  I find no uses of it, apart from
   `dired-do-copy' (which just passes it along).

   Presumably someone thought that someone might want to pass such a
   thing to `dired-do-copy', but why?

   Half the doc of `dired-do-create-files' is for this parameter.  And
   its description, although probably correct and complete, reads like
   gobbledygook, to me.

   For one thing, the nil case should not be described under this
   parameter; it should be described as the function's default behavior,
   up above the parameter list.  (That's already 4 lines of its
   description.)

   Beyond that:

   * A value of `t' is unclear to me.  What does it mean to target a
     plain file - is this the same as using a `nil' value?  What happens
     with `t' if the target is a directory or if there are multiple
     marked files?  Is that where the difference lies somehow (how)?

   * A unary function value is the most confusing.  I can't follow it,
     I'm afraid.

   If HOW-TO is to stay (and I assume it is) then we really need some
   kind of motivating explanation - perhaps an example of why/when/how
   you would use a function here.  With no existing examples in the code
   this seems a bit
   maybe-someone-someday-might-need-this-thing-that-somebody-dreamed.

   It was apparently RMS who added this [1].  I'm surprised that it's
   not more clear what good it is.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D25075#20


In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
 of 2019-04-13
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor `Microsoft Corp.', version 10.0.17134
Configured using:
 `configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35367; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.